Name:          mahout-collection-codegen-plugin
Version:       1.0
Release:       %mkrel 3
Summary:       Maven Mojo to generate code for collections
Group:         Development/Java
License:       ASL 2.0
Url:           http://mahout.apache.org/
Source0:       ftp://ftp.mirrorservice.org/sites/ftp.apache.org/mahout/%{name}-%{version}/mahout_collection_codegen_plugin_%{version}_sources.jar
Source1:       ftp://ftp.mirrorservice.org/sites/ftp.apache.org/mahout/%{name}-%{version}/mahout_collection_codegen_plugin_%{version}.pom
#Patch0:        ...
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-shared-file-management
BuildRequires: velocity

Requires:      maven
Requires:      velocity

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Apache Mahout™ machine learning library's goal is to build scalable machine learning libraries.

This package contains the Maven plugin used for generate code for collections.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -T -q -c

mkdir -p src/main/java

(
  cd src/main/java
  %jar -xf %SOURCE0
  rm -rf META-INF
)

cp -p %SOURCE1 pom.xml

%build

mvn-rpmbuild install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 359302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 1.0-2.mga3
+ Revision: 290718
- Build with maven

* Sat Nov 05 2011 gil <gil> 1.0-1.mga2
+ Revision: 163016
- imported package mahout-collection-codegen-plugin

